{#
 # This file is part of the DATAtourisme project.
 # @author Conjecto <contact@conjecto.com>
 # 2022
 # SPDX-License-Identifier: GPL-3.0-or-later
 # For the full copyright and license information, please view the LICENSE file that was distributed with this source code.
 #}

{% extends "_layout.html.twig" %}
{% block title %}{{ "label.my_profile" | trans }}{% endblock %}
{% set route = app.request.get('_route') %}

{% block content %}
    <!-- Content Header (Page header) -->
    {#<section class="content-header">#}
        {#<h1>{{  user.fullName }} {% if user.organization is not null %}<small>{{ user.organization.name }}</small>{% endif %}</h1>#}
    {#</section>#}

    <!-- Main content -->
    <section class="content">
        <div class="row">
            <div class="col-md-3">
                <!-- Profile Image -->
                <div class="box">
                    <div class="box-body p-b-0">

                        <h3 class="profile-username text-center m-t-0">{{ user.fullName }}</h3>

                        {% if user.organization is not empty %}
                            <p class="text-muted text-center">{{ user.organization }}</p>
                        {% elseif has_role('ROLE_ADMIN', user) %}
                            <p class="text-muted text-center">Administrateur DATAtourisme</p>
                        {% endif %}

                        <ul class="list-group list-group-unbordered m-0">
                            <li class="list-group-item">
                                <a class="pull-right">
                                    <span class="label label-{{ user.accountStatus.class }}">{{ user.accountStatus.label | trans }}</span>
                                </a>
                                <b>{{ "label.status" | trans }}</b>
                            </li>
                            <li class="list-group-item">
                                <span class="pull-right">
                                    {% if user.lastLogin is defined %}
                                        {{ user.lastLogin | date('d/m/Y') }}
                                    {% endif %}
                                </span>
                                <b>{{ "label.last_login" | trans }}</b>
                            </li>
                            {% if is_granted('ROLE_ADMIN') %}
                            <li class="list-group-item">
                                <span class="pull-right">
                                    {{ user.flux | length }}
                                </span>
                                <b><a href="{{ path('flux.index', {flux_filter: {fullName: user.id} }) }}">Flux</a></b>
                            </li>
                            {% endif %}
                        </ul>
                    </div>
                    <!-- /.box-body -->
                </div>
                <!-- /.box -->
                <div class="box box-widget">
                    <div class="box-body p-0">
                        <a class="btn btn-white btn-block" href="{{ path('security.cgu.download') }}"><span class="fa fa-file-pdf-o"></span> {{ "label.cgu" | trans }}</a>
                    </div>
                    <!-- /.box-body -->
                </div>
            </div>

            <!-- /.col -->
            <div class="col-md-9">
                <div class="nav-tabs-custom">
                    <ul class="nav nav-tabs">
                        {% block tabs %}
                           <li class="{{ 'account.user' in route ? 'active' }}"><a href="{{ path('account.user') }}">{{ "label.user" | trans }}</a></li>
                            {% if is_granted('user.datagouv', user) %}
                                <li class="{{ 'account.datagouv' in route ? 'active' }}"><a href="{{ path('account.datagouv') }}">{{ "label.publish_datagouv" | trans }}</a></li>
                            {% endif %}
                            <li class="{{ 'account.administrate' in route ? 'active' }}"><a href="{{ path('account.administrate') }}">{{ "label.administration" | trans }}</a></li>
                        {% endblock %}
                    </ul>
                    <div class="tab-content no-padding">
                        <!-- tab-pane -->
                        <div class="active tab-pane">
                            {% block subcontent %}{% endblock %}
                        </div>
                        <!-- /.tab-pane -->
                    </div>
                </div>
                <!-- /.nav-tabs-custom -->
            </div>
            <!-- /.col -->
        </div>
        <!-- /.row -->
    </section>
    <!-- /.content -->
{% endblock %}
